Developers
V1PlatformMerchants

Add a merchant prospect; reuse id when retrying. Does not send messages

POST
/v1/platform/merchants
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/platform/merchants" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "offering": "product",    "contactName": "string",    "email": "string",    "phone": "string",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"  }'
{  "merchant": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "stage": "prospect",    "createdAt": "2019-08-24T14:15:22Z",    "contactName": "string",    "email": "string",    "phone": "string",    "offering": "product",    "version": -9007199254740991,    "members": 0  },  "invitations": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "state": "pending",      "createdAt": "2019-08-24T14:15:22Z",      "expiresAt": "2019-08-24T14:15:22Z",      "delivery": "not_sent"    }  ],  "emailConfigured": true}